Name:           fwbuilder
Summary:        Firewall Builder
Version:        2.1.16
Release:        2%{?dist}

License:        GPLv2+
Group:          Applications/System
URL:            http://www.fwbuilder.org/
Source:         %{name}-%{version}.tar.gz
Source1:        fwbuilder.desktop
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Requires:       libfwbuilder = %{version}

Patch0:         fwbuilder-2.1.14-gcc43.patch

BuildRequires:  qt-devel >= 1:3.0.0
BuildRequires:  desktop-file-utils
BuildRequires:  libfwbuilder-devel = %{version}
BuildRequires:  gawk

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms.

%prep
%setup -q

# Fix regressions due to stricter GCC 4.3 checking
%patch0 -p1 -b .gcc43


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

%configure \
    --with-templatedir=%{_datadir}/fwbuilder \
    --disable-dependency-tracking
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
make DDIR=$RPM_BUILD_ROOT STRIPPROG=/bin/true install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

# Add an icon for the menu system
install -Dpm 644 src/gui/icons/firewall_64.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/fwbuilder.png

# Add menu entry
desktop-file-install --vendor fedora               \
  --dir $RPM_BUILD_ROOT/%{_datadir}/applications   \
  --add-category X-Fedora                          \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :

%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :


%files
%defattr(-,root,root)
%{_datadir}/fwbuilder
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/fwbuilder.png
%{_bindir}/fwbuilder
%{_bindir}/fwblookup
%{_bindir}/fwbedit
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/PatchAcceptancePolicy.txt
%doc doc/README.floppyfw
%doc doc/ReleaseNotes_*.txt
%doc doc/ReleaseNotes_*.html
%{_mandir}/man1/fwbuilder.1*
%{_mandir}/man1/fwblookup.1*
%{_mandir}/man1/fwbedit.1*


%package pf
Summary:  Policy Compiler for OpenBSD PF
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description pf
Policy compiler for OpenBSD PF

%files pf
%defattr(-,root,root)
%{_bindir}/fwb_pf
%doc doc/README.pf
%{_mandir}/man1/fwb_pf.1*


%package ipf
Summary:  Policy Compiler for ipfilter
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description ipf
Policy compiler for ipfilter

%files ipf
%defattr(-,root,root)
%{_bindir}/fwb_ipf
%doc doc/README.ipf
%{_mandir}/man1/fwb_ipf.1*


%package ipfw
Summary:  Policy Compiler for ipfw
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description ipfw
Policy compiler for ipfw

%files ipfw
%defattr(-,root,root)
%{_bindir}/fwb_ipfw
%doc doc/README.ipfw
%{_mandir}/man1/fwb_ipfw.1*


%package ipt
Summary:  Policy Compiler for IPTables
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description ipt
Policy compiler for IPTables

%files ipt
%defattr(-,root,root)
%{_bindir}/fwb_ipt
%doc doc/README.ipt
%{_mandir}/man1/fwb_ipt.1*

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1.16-2
- Autorebuild for GCC 4.3

* Thu Jan 03 2008 Ralf Ertzinger <ralf@skytale.net> 2.1.16-1
- Update to 2.1.16
- Add patch to enable compilation with GCC4.3

* Wed Oct 03 2007 Ralf Ertzinger <ralf@skytale.net> 2.1.14-1
- Update to 2.1.14
- Fix license tag

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.1.12-3
- Add gawk as a Build Require.

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.1.12-2
- Rebuild for selinux ppc32 issue.

* Fri Jul 06 2007 Ralf Ertzinger <ralf@skytale.net> 2.1.12-1.fc8
- Update to 2.1.12

* Wed Mar 14 2007 Ralf Ertzinger <ralf@skytale.net> 2.1.10-1.fc7
- Update to 2.1.10

* Sun Dec 24 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.8-1.fc7
- Update to 2.1.8

* Wed Nov 29 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.7-1.fc7
- Bump release for build
- Add fwbuilder symlink

* Mon Nov 27 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.7-0.2.fc7
- Update to 2.1.7

* Tue Oct 24 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.6-0.0.beta.fc7
- Update to beta release 2.1.6

* Mon Sep 11 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-2.fc6
- Bumped and rebuilt for FC6

* Mon May 22 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-1.fc6
- Update to 2.0.12
- Drop --ffriend-injection

* Wed Feb 22 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.10-3.fc5
- Bump and rebuild for FC5

* Wed Feb 08 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.10-2
- Fixes for BZ165308 (thanks to Ville Skyttä)
  - Don't strip binaries, fixes debuginfo
  - Bring desktop entry categories up to date, so the entry is actually shown
  - Make icon themeable
  - Own all installed dirs

* Sun Feb 05 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.10-1 
- Update to 2.0.10
- Spec file cleanup

* Wed Jul 13 2005 Steve Grubb <sgrubb@redhat.com> 2.0.8-1
- New upstream version

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.0.6-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Mar  3 2005 Steve Grubb <sgrubb@redhat.com> 2.0.6-1
- New upstream version

* Sun Jan 23 2005 Warren Togami <wtogami@redhat.com> 2.0.5-3
- Typo fix (#145887 Stefan Hoelldampf)

* Sat Jan 22 2005 Warren Togami <wtogami@redhat.com> 2.0.5-2
- minor spec cleanup

* Sat Jan 22 2005 Steve Grubb <sgrubb@redhat.com> 2.0.5
- Created base spec file

